org.freeplane.plugin.script.proxy

## Interface Proxy.LinkRO

- All Known Subinterfaces:
    Proxy.Link
  Enclosing interface:
    Proxy

      public static interface Proxy.LinkRO

  Node's link: `node.link` - read-only.

  None of the getters will throw an exception, even if you call, e.g. getNode() on a File link. Instead they will return null. To check the link type evaluate getUri().getScheme() or the result of the special getters.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `get()` Deprecated. since 1.2 - use `getText()` instead.
    `java.io.File` | `getFile()` returns the link as File if defined and if the link target is a valid File URI and null otherwise.
    `Proxy.Node` | `getNode()` returns the link as Node if defined and if the link target is a valid local link to a node and null otherwise.
    `java.lang.String` | `getText()` returns the link text, a stringified URI, if a link is defined and null otherwise.
    `java.net.URI` | `getUri()` returns the link as URI if defined and null otherwise.

- - ### Method Detail

    - #### getText

          java.lang.String getText()

      returns the link text, a stringified URI, if a link is defined and null otherwise.
      Since:
        1.2

    - #### getUri

          java.net.URI getUri()

      returns the link as URI if defined and null otherwise. Won't throw an exception.
      Since:
        1.2

    - #### getFile

          java.io.File getFile()

      returns the link as File if defined and if the link target is a valid File URI and null otherwise.
      Since:
        1.2
      See Also:
        `File.File(URI)`

    - #### getNode

          Proxy.Node getNode()

      returns the link as Node if defined and if the link target is a valid local link to a node and null otherwise.
      Since:
        1.2

    - #### get

          java.lang.String get()

      Deprecated. since 1.2 - use `getText()` instead.